org.keycloak.protocol.saml

## Class SamlService.PostBindingProtocol

- java.lang.Object
- - org.keycloak.protocol.saml.SamlService.BindingProtocol
  - - org.keycloak.protocol.saml.SamlService.PostBindingProtocol

- Enclosing class:
    SamlService

      protected class SamlService.PostBindingProtocol
      extends SamlService.BindingProtocol

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SamlService.PostBindingProtocol()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `execute(String samlRequest, String samlResponse, String relayState)`
    `protected org.picketlink.identity.federation.core.saml.v2.common.SAMLDocumentHolder` | `extractDocument(String samlRequest)`
    `protected String` | `getBindingType()`
    `protected void` | `verifySignature(org.picketlink.identity.federation.core.saml.v2.common.SAMLDocumentHolder documentHolder, ClientModel client)`

    - ### Methods inherited from class org.keycloak.protocol.saml.SamlService.BindingProtocol

      `basicChecks, handleSamlRequest, handleSamlResponse, loginRequest, logoutRequest`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SamlService.PostBindingProtocol

          protected SamlService.PostBindingProtocol()

  - ### Method Detail

    - #### verifySignature

          protected void verifySignature(org.picketlink.identity.federation.core.saml.v2.common.SAMLDocumentHolder documentHolder,
                             ClientModel client)
                                  throws VerificationException

      Specified by:
        `verifySignature` in class `SamlService.BindingProtocol`
      Throws:
        `VerificationException`

    - #### extractDocument

          protected org.picketlink.identity.federation.core.saml.v2.common.SAMLDocumentHolder extractDocument(String samlRequest)

      Specified by:
        `extractDocument` in class `SamlService.BindingProtocol`

    - #### getBindingType

          protected String getBindingType()

      Specified by:
        `getBindingType` in class `SamlService.BindingProtocol`

    - #### execute

          public javax.ws.rs.core.Response execute(String samlRequest,
                                          String samlResponse,
                                          String relayState)

Copyright © 2015. All Rights Reserved.